/**
 * <p>
 * The jp.co.jprs.idnkit package supports various manipulations
 * of internationalized domain names using idnkit.
 * </p>
 * 
 * <p>
 * The package provides easy-to-use, high-level interface to help
 * applications operate internationalized domain names.
 * They are designed according to IDNA framework where each application
 * must encode internationalized domain names before passing them to
 * the resolver.  Currently, the package supports idnkit version 2,
 * which supports IDNA2008.
 * </p>
 *
 * <p>
 * To use this package, idnkit binary (at least libidnkitlite shared
 * library) and JNA (Java Native Access) are required.  At a run time,
 * the system property 'jna.encoding' must be set to 'UTF-8' and 
 * 'jna.library.path' must be set to the directory where the libidnkitlite
 * shared library resides.
 * </p>
 * 
 * <p>
 * Please note that the package supports UTF-8 only.  Local encodings
 * (e.g. ISO8859-1) are not supported.  That is to say, domain names
 * passed to methods in this package must be written in UTF-8 and
 * domain names returned from the methods are always UTF-8.
 * </p>
 *
 * @author Japan Registry Services Co., Ltd.(JPRS)
 * @version 2.2
 */
package jp.co.jprs.idnkit;
